> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Inventory transfer query



## OpenAPI

````yaml shipments.openapi post /shipments/inventory-transfer/query
openapi: 3.0.1
info:
  contact:
    email: support@fabric.inc
    name: fabric Orders team
  description: >-
    fabric **Shipments** API is a multi-tenant service that enables you to
    manage shipments for existing 'Allocations.' Shipments serve as records of
    the locations from which an order was fulfilled. Typical user of fabric
    Shipments service is a Warehouse management service or Point of Sale
    service. <p> **Note**: Shipments API relies on the Allocation service to
    send allocation details to external merchant systems after an order is
    placed. Allocation is the prerequisite for using Shipments API.</p>
  license:
    name: fabric API License
    url: https://fabric.inc/api-license
  termsOfService: https://fabric.inc/terms-of-use
  title: Orders - Shipments API
  version: 3.0.0
  x-audience: external-public
servers:
  - description: Production
    url: https://api.fabric.inc/v3
security:
  - authorization: []
tags:
  - description: >-
      fabric **Shipments** API is a multi-tenant service that enables you to
      manage shipments for existing 'Allocations.' Shipments serve as records of
      the locations from which an order was fulfilled. Typical user of fabric
      Shipments service is a Warehouse management service or Point of Sale
      service. <p> **Note**: Shipments API relies on the Allocation service to
      send allocation details to external merchant systems after an order is
      placed. Allocation is the prerequisite for using Shipments API.</p>
    name: Shipments
externalDocs:
  description: Find out more about fabric Orders (also called OMS)
  url: https://developer.fabric.inc/v3/docs/orders-overview
paths:
  /shipments/inventory-transfer/query:
    post:
      tags:
        - transfer-shipment-controller
      operationId: getTransferShipmentByQuery
      parameters:
        - $ref: '#/components/parameters/xFabricTenantId'
        - $ref: '#/components/parameters/xFabricChannelId'
        - $ref: '#/components/parameters/xFabricRequestId'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/libQuery'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/libQueryResponse'
          description: OK
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponseHeader'
        '400':
          content:
            application/json:
              example:
                errors:
                  - message: Invalid request
                    type: CLIENT_ERROR
                message: Bad request
                type: CLIENT_ERROR
              schema:
                $ref: '#/components/schemas/errorResponse'
          description: Bad request
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponseHeader'
        '401':
          content:
            application/json:
              example:
                message: Unauthorized request
                type: CLIENT_ERROR
              schema:
                $ref: '#/components/schemas/errorResponse'
          description: Unauthorized
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponseHeader'
        '500':
          content:
            application/json:
              example:
                message: Internal server error
                type: SERVER_ERROR
              schema:
                $ref: '#/components/schemas/errorResponse'
          description: Internal server error
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponseHeader'
components:
  parameters:
    xFabricTenantId:
      description: >-
        A header used by fabric to identify the tenant making the request. You
        must include tenant id in the authentication header for an API request
        to access any of fabric’s endpoints. You can retrieve the tenant id ,
        which is also called account id, from
        [Copilot](/v3/platform/settings/account-details/getting-the-account-id).
        This header is required.
      example: 5f328bf0b5f328bf0b5f328b
      in: header
      name: x-fabric-tenant-id
      required: true
      schema:
        type: string
    xFabricChannelId:
      description: >-
        x-fabric-channel-id identifies the sales channel where the API request
        is being made; primarily for multichannel use cases. The channel ids are
        12 corresponding to US and 13 corresponding to Canada. The default
        channel id is 12. This field is required.
      example: '12'
      in: header
      name: x-fabric-channel-id
      required: true
      schema:
        type: string
    xFabricRequestId:
      description: Unique request ID
      example: 263e731c-45c8-11ed-b878-0242ac120002
      in: header
      name: x-fabric-request-id
      required: false
      schema:
        type: string
  schemas:
    libQuery:
      description: Library Query Model
      properties:
        filters:
          additionalProperties:
            description: >-
              A query used to filter your records. The query structure should
              match the target entity ( for example, order, shipment, etc)
              structure.
            example: |
              {
                      "retail": {
                          "locationNum": 12
                      },
                      "orderSubTotal": {
                          "lt": 1400
                      },
                      "orderNumber": {order-*Z},
                      "statusCode": [
                          "ORDER_CREATED"
                      ],
                      "createdAt":{
                          "lt": "2022-09-11T23:12:00.123Z"
                      },
                      "shipInfo": {
                          "shipToId": ["23434","23436"]
                      }
                  }
            type: object
          description: >-
            A query used to filter your records. The query structure should
            match the target entity ( for example, order, shipment, etc)
            structure.
          example: |
            {
                    "retail": {
                        "locationNum": 12
                    },
                    "orderSubTotal": {
                        "lt": 1400
                    },
                    "orderNumber": {order-*Z},
                    "statusCode": [
                        "ORDER_CREATED"
                    ],
                    "createdAt":{
                        "lt": "2022-09-11T23:12:00.123Z"
                    },
                    "shipInfo": {
                        "shipToId": ["23434","23436"]
                    }
                }
          type: object
        limit:
          default: 10
          description: The maximum number of records per page.
          example: 10
          format: int32
          type: integer
        offset:
          default: 0
          description: >-
            The number of records to skip before returning all records. For
            example, `offset=20, limit=10` returns records 21-30.
          example: 10
          format: int64
          type: integer
        sortBy:
          default: updatedAt
          description: The item property that data is sorted on.
          example: updatedAt
          type: string
        sortDirection:
          default: desc
          description: The direction of the sorting, such as ascending or descending.
          enum:
            - asc
            - desc
          example: desc
          type: string
      required:
        - filters
      type: object
    libQueryResponse:
      description: The library query response model object containing query properties.
      properties:
        count:
          description: The count for the query response.
          example: 100
          format: int64
          type: integer
        limit:
          description: The maximum number of records per page.
          example: 10
          format: int32
          type: integer
        offset:
          description: >-
            The number of records to skip before returning all records. For
            example, `offset=20, limit=10` returns records 21-30.
          example: 1
          format: int64
          type: integer
      type: object
    errorResponse:
      description: Error response
      properties:
        errors:
          description: Errors
          items:
            $ref: '#/components/schemas/errorResponse'
          type: array
        message:
          description: Error message
          example: Bad request
          type: string
        type:
          description: Error type
          example: CLIENT_ERROR
          type: string
      type: object
  headers:
    xFabricRequestIdResponseHeader:
      description: Unique request ID
      example: 263e731c-45c8-11ed-b878-0242ac120002
      required: false
      schema:
        type: string
  securitySchemes:
    authorization:
      bearerFormat: JWT
      scheme: bearer
      type: http

````